Subject: REQUEST: vegan sushi fillings

From: [email-masked] (amanda izenstark)
Date: Sat, 5 Mar 1994 05:42:00 GMT

Subject says it all. I love sushi, but I don't eat fish or eggs.
Thanks in advance!

Amanda

-- 
amanda izenstark                                     [email-masked]
-----------------------------------------------------------------------------
death in the living room his favorite sport a happy end the point of collapse